## python-debtcollector 0.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
six>=1.9.0
oslo.utils>=1.2.0 # Apache-2.0
wrapt>=1.7.0 # BSD License

=== debian/changelog ===
python-debtcollector (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 May 2015 12:10:06 +0000

python-debtcollector (0.2.0-1) experimental; urgency=medium

  * Initial release. (Closes: #778545)

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Feb 2015 15:27:43 +0100

=== debian/control ===
Source: python-debtcollector
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking,
                     python-oslo.utils (>= 1.2.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1.2.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools,
                     python-wrapt,
                     python3-babel,
                     python3-oslo.utils (>= 1.2.0),
                     python3-oslotest (>= 1.2.0),
                     python3-pbr,
                     python3-six (>= 1.9.0),
                     python3-testscenarios,
                     python3-testtools,
                     python3-wrapt,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-debtcollector.git
Vcs-Git: git://anonscm.debian.org/openstack/python-debtcollector.git
Homepage: http://www.openstack.org/

Package: python-debtcollector
Architecture: all
Depends: python-babel,
         python-oslo.utils (>= 1.2.0),
         python-pbr,
         python-six (>= 1.9.0),
         python-wrapt,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-debtcollector-doc
Description: collection of patterns to collect technical debt - Python 2.x
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the Python 2.x module.

Package: python3-debtcollector
Architecture: all
Depends: python3-babel,
         python3-oslo.utils (>= 1.2.0),
         python3-pbr,
         python3-six (>= 1.9.0),
         python3-wrapt,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-debtcollector-doc
Description: collection of patterns to collect technical debt - Python 3.x
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the Python 3.x module.

Package: python-debtcollector-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: collection of patterns to collect technical debt - doc
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://git.openstack.org/openstack/debtcollector
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-debtcollector; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-debtcollector; \
	done
	rm -rf $(CURDIR)/debian/python*-debtcollector/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e ; for i in 2.7 $(PYTHON3S) ; do \
	echo "===> Running tests"
	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-debtcollector-doc/usr/share/doc/python-debtcollector-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/debtcollector debtcollector-(.*).tar.gz

## python-debtcollector 0.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
Babel>=1.3
six>=1.9.0
wrapt>=1.7.0 # BSD License

=== debian/changelog ===
python-debtcollector (0.8.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 02 Oct 2015 08:58:35 +0000

python-debtcollector (0.8.0-1) experimental; urgency=medium

  * New upstream release (Closes: #797927).
  * Fixed (build-)depends for this release.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Sep 2015 09:48:44 +0200

python-debtcollector (0.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
    - d/control: Drop dependency on oslo.utils.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Jun 2015 10:17:24 +0100

=== debian/control ===
Source: python-debtcollector
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking,
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools,
                     python-wrapt,
                     python3-babel,
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-testscenarios,
                     python3-testtools,
                     python3-wrapt,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-debtcollector.git
Vcs-Git: git://anonscm.debian.org/openstack/python-debtcollector.git
Homepage: http://www.openstack.org/

Package: python-debtcollector
Architecture: all
Depends: python-babel,
         python-pbr (>= 1.6),
         python-six (>= 1.9.0),
         python-wrapt,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-debtcollector-doc,
Description: collection of patterns to collect technical debt - Python 2.x
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the Python 2.x module.

Package: python3-debtcollector
Architecture: all
Depends: python3-babel,
         python3-pbr (>= 1.6),
         python3-six (>= 1.9.0),
         python3-wrapt,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-debtcollector-doc,
Description: collection of patterns to collect technical debt - Python 3.x
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the Python 3.x module.

Package: python-debtcollector-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: collection of patterns to collect technical debt - doc
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the documentation.

## python-debtcollector 1.3.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,8 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr<2.0,>=1.6
-Babel>=1.3
-six>=1.9.0
+pbr>=1.6 # Apache-2.0
+Babel>=1.3 # BSD
+six>=1.9.0 # MIT
 wrapt>=1.7.0 # BSD License
+funcsigs>=0.4;python_version=='2.7' or python_version=='2.6' # Apache-2.0

=== debian/changelog ===
python-debtcollector (1.3.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 11:23:14 +0000

python-debtcollector (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:27:32 +0000

python-debtcollector (1.3.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Drop python(3)-doc8 from build-depends as it's not needed
    for package builds.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:23:20 +0200

python-debtcollector (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2016 03:24:09 +0000

python-debtcollector (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added support for DEB_BUILD_OPTIONS=nodocs.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Nov 2015 12:09:11 +0100

python-debtcollector (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 09:28:56 +0000

=== debian/control ===
--- 
+++ 
@@ -7,38 +7,42 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.6),
+               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.6),
+               python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-babel,
                      python-coverage,
+                     python-fixtures (>= 1.3.1),
+                     python-funcsigs (>= 0.4),
                      python-hacking,
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+#                     python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools,
                      python-wrapt,
                      python3-babel,
-                     python3-oslotest (>= 1.10.0),
+                     python3-fixtures (>= 1.3.1),
+#                     python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
                      python3-testtools,
                      python3-wrapt,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-debtcollector.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-debtcollector.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-debtcollector.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-debtcollector.git
 Homepage: http://www.openstack.org/
 
 Package: python-debtcollector
 Architecture: all
 Depends: python-babel,
-         python-pbr (>= 1.6),
+         python-pbr (>= 1.8),
+         python-funcsigs (>= 0.4),
          python-six (>= 1.9.0),
          python-wrapt,
          ${misc:Depends},
@@ -54,7 +58,7 @@
 Package: python3-debtcollector
 Architecture: all
 Depends: python3-babel,
-         python3-pbr (>= 1.6),
+         python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          python3-wrapt,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -23,29 +23,31 @@
 	rm -rf $(CURDIR)/debian/python*-debtcollector/usr/lib/python*/dist-packages/*.pth
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	set -e ; for i in 2.7 $(PYTHON3S) ; do \
-	echo "===> Running tests"
-	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
-endif
+#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+##	set -e ; for i in 2.7 $(PYTHON3S) ; do \
+#	echo "===> Running tests"
+#	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
+#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+#		rm -rf .testrepository ; \
+#		testr-python$$PYMAJOR init ; \
+#		TEMP_REZ=`mktemp -t` ; \
+#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+#		rm -f $$TEMP_REZ ; \
+#		testr-python$$PYMAJOR slowest ; \
+#	done
+#endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
 
 override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	sphinx-build -b html doc/source debian/python-debtcollector-doc/usr/share/doc/python-debtcollector-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
 
 # Commands not to run
 override_dh_installcatalogs:

## python-debtcollector 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-Babel>=1.3 # BSD
 six>=1.9.0 # MIT
 wrapt>=1.7.0 # BSD License
 funcsigs>=0.4;python_version=='2.7' or python_version=='2.6' # Apache-2.0

=== debian/changelog ===
python-debtcollector (1.5.0-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 30 Aug 2016 08:49:59 +0000

python-debtcollector (1.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Fix copyright year in documentation to make build reproducible
  * Added simple Debian tests
  * d/copyright: Added myself to Debian part
  * Changed UPSTREAM_GIT to github.com

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 16:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -13,35 +13,32 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
-                     python-coverage,
-                     python-fixtures (>= 1.3.1),
-                     python-funcsigs (>= 0.4),
-                     python-hacking,
+Build-Depends-Indep: python-coverage,
+#                     python-fixtures (>= 3.0.0),
+#                     python-funcsigs (>= 0.4),
+#                     python-hacking,
                      python-oslosphinx (>= 2.5.0),
 #                     python-oslotest (>= 1.10.0),
-                     python-six (>= 1.9.0),
-                     python-testscenarios,
-                     python-testtools,
-                     python-wrapt,
-                     python3-babel,
-                     python3-fixtures (>= 1.3.1),
+#                     python-six (>= 1.9.0),
+#                     python-testscenarios,
+#                     python-testtools,
+#                     python-wrapt,
+#                     python3-fixtures (>= 3.0.0),
 #                     python3-oslotest (>= 1.10.0),
-                     python3-six (>= 1.9.0),
-                     python3-testscenarios,
-                     python3-testtools,
-                     python3-wrapt,
-                     subunit,
-                     testrepository,
-Standards-Version: 3.9.7
+#                     python3-six (>= 1.9.0),
+#                     python3-testscenarios,
+#                     python3-testtools,
+#                     python3-wrapt,
+#                     subunit,
+#                     testrepository,
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-debtcollector.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-debtcollector.git
 Homepage: http://www.openstack.org/
 
 Package: python-debtcollector
 Architecture: all
-Depends: python-babel,
-         python-pbr (>= 1.8),
+Depends: python-pbr (>= 1.8),
          python-funcsigs (>= 0.4),
          python-six (>= 1.9.0),
          python-wrapt,
@@ -57,8 +54,7 @@
 
 Package: python3-debtcollector
 Architecture: all
-Depends: python3-babel,
-         python3-pbr (>= 1.8),
+Depends: python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          python3-wrapt,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/debtcollector.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Disabled tests until we have all build depends"
#	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-debtcollector-doc/usr/share/doc/python-debtcollector-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-debtcollector 1.10.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.6 # Apache-2.0
+pbr>=1.8 # Apache-2.0
 six>=1.9.0 # MIT
 wrapt>=1.7.0 # BSD License
 funcsigs>=0.4;python_version=='2.7' or python_version=='2.6' # Apache-2.0

## python-debtcollector 1.11.0

=== debian/changelog ===
python-debtcollector (1.11.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Add dep-8 test.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 10:18:57 -0500

python-debtcollector (1.10.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Dec 2016 11:07:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-debtcollector
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -14,27 +15,29 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
-#                     python-fixtures (>= 3.0.0),
-#                     python-funcsigs (>= 0.4),
-#                     python-hacking,
+                     python-fixtures (>= 3.0.0),
+                     python-funcsigs (>= 0.4),
+                     python-hacking,
                      python-oslosphinx (>= 2.5.0),
-#                     python-oslotest (>= 1.10.0),
-#                     python-six (>= 1.9.0),
-#                     python-testscenarios,
-#                     python-testtools,
-#                     python-wrapt,
-#                     python3-fixtures (>= 3.0.0),
-#                     python3-oslotest (>= 1.10.0),
-#                     python3-six (>= 1.9.0),
-#                     python3-testscenarios,
-#                     python3-testtools,
-#                     python3-wrapt,
-#                     subunit,
-#                     testrepository,
+                     python-oslotest (>= 1.10.0),
+                     python-six (>= 1.9.0),
+                     python-testscenarios,
+                     python-testtools,
+                     python-wrapt,
+                     python3-fixtures (>= 3.0.0),
+                     python3-oslotest (>= 1.10.0),
+                     python3-six (>= 1.9.0),
+                     python3-testscenarios,
+                     python3-testtools,
+                     python3-wrapt,
+                     subunit,
+                     testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-debtcollector.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-debtcollector.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-debtcollector
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-debtcollector
 Homepage: http://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
+
 
 Package: python-debtcollector
 Architecture: all

## python-debtcollector 1.13.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.8 # Apache-2.0
+pbr>=2.0.0 # Apache-2.0
 six>=1.9.0 # MIT
 wrapt>=1.7.0 # BSD License
 funcsigs>=0.4;python_version=='2.7' or python_version=='2.6' # Apache-2.0

=== debian/changelog ===
python-debtcollector (1.13.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * Align (Build-)Depends with upstream milestone.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:00:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
                      python-fixtures (>= 3.0.0),
@@ -41,7 +41,7 @@
 
 Package: python-debtcollector
 Architecture: all
-Depends: python-pbr (>= 1.8),
+Depends: python-pbr (>= 2.0.0),
          python-funcsigs (>= 0.4),
          python-six (>= 1.9.0),
          python-wrapt,
@@ -57,7 +57,7 @@
 
 Package: python3-debtcollector
 Architecture: all
-Depends: python3-pbr (>= 1.8),
+Depends: python3-pbr (>= 2.0.0),
          python3-six (>= 1.9.0),
          python3-wrapt,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "Disabled tests until we have all build depends"
-#	pkgos-dh_auto_test
+	pkgos-dh_auto_test
 endif
 
 override_dh_clean:

=== debian/tests/control ===
Depends: python-debtcollector
Test-Command: cd "$ADTTMP" ; python -c "import debtcollector; print debtcollector.__version__"

Depends: python3-debtcollector
Test-Command: cd "$ADTTMP" ; python3 -c "import debtcollector; print(debtcollector.__version__)"

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/debtcollector/ debtcollector-(\d.*)\.tar\.gz

## python-debtcollector 1.19.0

=== debian/changelog ===
python-debtcollector (1.19.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Fix copyright year in documentation to make build reproducible
  * Added simple Debian tests
  * d/copyright: Added myself to Debian part
  * Changed UPSTREAM_GIT to github.com
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Ondřej Nový ]

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Modernized debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Mar 2018 18:05:14 +0100

=== debian/control ===
Source: python-debtcollector
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-fixtures,
 python-funcsigs (>= 1.0.0),
 python-hacking,
 python-openstackdocstheme (>= 1.17.0),
 python-six,
 python-testtools (>= 2.2.0),
 python-wrapt,
 python3-fixtures,
 python3-six,
 python3-testtools (>= 2.2.0),
 python3-wrapt,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-debtcollector
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-debtcollector.git
Homepage: http://www.openstack.org/

Package: python-debtcollector
Architecture: all
Depends:
 python-funcsigs (>= 1.0.0),
 python-pbr (>= 2.0.0),
 python-six,
 python-wrapt,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-debtcollector-doc,
Description: collection of patterns to collect technical debt - Python 2.x
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the Python 2.x module.

Package: python-debtcollector-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: collection of patterns to collect technical debt - doc
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the documentation.

Package: python3-debtcollector
Architecture: all
Depends:
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-wrapt,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-debtcollector-doc,
Description: collection of patterns to collect technical debt - Python 3.x
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the Python 3.x module.

## python-debtcollector 1.20.0

=== debian/changelog ===
python-debtcollector (1.20.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:59:57 +0200

python-debtcollector (1.20.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building the sphinx doc with Python 3.
  * Fix sphinx_reproducible_build.patch to work with Python 3.
  * Added a few <!nocheck> stuff in build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 16:08:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-debtcollector
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -11,25 +11,26 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  python-coverage,
  python-fixtures,
  python-funcsigs (>= 1.0.0),
  python-hacking,
- python-openstackdocstheme (>= 1.17.0),
  python-six,
- python-testtools (>= 2.2.0),
+ python-stestr (>= 2.0.0) <!nocheck>,
+ python-testtools (>= 2.2.0) <!nocheck>,
  python-wrapt,
  python3-fixtures,
+ python3-openstackdocstheme (>= 1.18.1),
  python3-six,
- python3-testtools (>= 2.2.0),
+ python3-stestr (>= 2.0.0) <!nocheck>,
+ python3-testtools (>= 2.2.0) <!nocheck>,
  python3-wrapt,
  subunit,
- testrepository,
 Standards-Version: 4.1.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-debtcollector
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-debtcollector.git

=== debian/tests/control ===
Depends: python-debtcollector
Test-Command: cd "$AUTOPKGTEST_TMP" ; python -c "import debtcollector; print debtcollector.__version__"

Depends: python3-debtcollector
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import debtcollector; print(debtcollector.__version__)"

## python-debtcollector 1.21.0

=== debian/changelog ===
python-debtcollector (1.21.0-2ubuntu1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 03 Oct 2019 21:03:26 +0000

python-debtcollector (1.21.0-2ubuntu1) eoan; urgency=medium

  * Drop the Python2 autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Oct 2019 11:45:11 +0200

python-debtcollector (1.21.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 20:54:05 +0200

python-debtcollector (1.21.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 10:28:55 +0100

=== debian/control ===
Source: python-debtcollector
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-fixtures,
 python3-openstackdocstheme,
 python3-six,
 python3-stestr <!nocheck>,
 python3-testtools <!nocheck>,
 python3-wrapt,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-debtcollector
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-debtcollector.git
Homepage: http://www.openstack.org/

Package: python-debtcollector-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: collection of patterns to collect technical debt - doc
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the documentation.

Package: python3-debtcollector
Architecture: all
Depends:
 python3-pbr,
 python3-six,
 python3-wrapt,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-debtcollector-doc,
Description: collection of patterns to collect technical debt - Python 3.x
 Debtcollector is a collection of Python patterns to help collecting technical
 debt in a non-destructive manner (following deprecation patterns and
 strategies and so-on).
 .
 This package contains the Python 3.x module.

=== debian/tests/control ===
Depends: python3-debtcollector
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import debtcollector; print(debtcollector.__version__)"

## python-debtcollector 1.22.0

=== debian/changelog ===
python-debtcollector (1.22.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 14:51:46 +0200

python-debtcollector (1.22.0-2) experimental; urgency=medium

  * Do not use Python2 in autopkgtest (Closes: #941644).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2019 13:29:12 +0200

python-debtcollector (1.22.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 21:59:54 +0200

## python-debtcollector 2.0.0

=== debian/changelog ===
python-debtcollector (2.0.0-0ubuntu1) focal; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 16:26:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-debtcollector
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 9),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -14,17 +15,17 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
+ python3-fixtures,
  python3-hacking,
- python3-fixtures,
  python3-openstackdocstheme,
  python3-six,
  python3-stestr <!nocheck>,
  python3-testtools <!nocheck>,
  python3-wrapt,
  subunit,
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-debtcollector
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-debtcollector.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-debtcollector
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-debtcollector
 Homepage: http://www.openstack.org/
 
 Package: python-debtcollector-doc

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/debtcollector.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-debtcollector-doc/usr/share/doc/python-debtcollector-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/tests/control ===
Depends:
 python3-debtcollector,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import debtcollector; print(debtcollector.__version__)"

## python-debtcollector 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT
wrapt>=1.7.0 # BSD License

=== debian/changelog ===
python-debtcollector (2.2.0-3) unstable; urgency=medium

  * Added Restrictions: superficial to d/tests/control (Closes: #974524).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2020 23:54:38 +0100

python-debtcollector (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml and fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 10:50:11 +0200

python-debtcollector (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 14:16:53 +0200

python-debtcollector (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 09:58:41 +0200

python-debtcollector (2.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:39:35 +0200

python-debtcollector (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 15:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-debtcollector
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -24,8 +23,8 @@
  python3-wrapt,
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-debtcollector
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-debtcollector
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-debtcollector
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-debtcollector.git
 Homepage: http://www.openstack.org/
 
 Package: python-debtcollector-doc

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/debtcollector/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-debtcollector 2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
+importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0
 six>=1.10.0 # MIT
 wrapt>=1.7.0 # BSD License

=== debian/changelog ===
python-debtcollector (2.3.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/p/sphinx_reproducible_build.patch: Rebased.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to pybuild and debhelper-compat 13.
  * d/rules: Run tests directly after override_dh_auto_install. This is
    necessary after upstream switch from pbr to importlib_metadata.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Nov 2021 16:05:46 -0500

python-debtcollector (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 06:58:19 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=debcollector
UPSTREAM_GIT := https://github.com/openstack/debtcollector.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-debtcollector-doc/usr/share/doc/python-debtcollector-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/debtcollector/tags .*/(\d[\d\.]+)\.tar\.gz

## python-debtcollector 2.5.0

=== requirements.txt ===
importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0
wrapt>=1.7.0 # BSD License

=== debian/changelog ===
python-debtcollector (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 12:08:35 +0100

python-debtcollector (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 16:20:36 +0100

python-debtcollector (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed six from (build-)depends.
  * Removed reproducible doc patch, not needed anymore.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 16:36:01 +0100

python-debtcollector (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:10:13 +0200

python-debtcollector (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased sphinx_reproducible_build.patch.
  * Run the tests with installed packaged in debian/tmp.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Sep 2021 10:50:27 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-fixtures,
  python3-hacking,
  python3-openstackdocstheme,
- python3-six,
  python3-stestr <!nocheck>,
  python3-testtools <!nocheck>,
  python3-wrapt,
@@ -44,7 +43,6 @@
 Architecture: all
 Depends:
  python3-pbr,
- python3-six,
  python3-wrapt,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/debtcollector.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-debtcollector-doc/usr/share/doc/python-debtcollector-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-debtcollector 3.0.0

=== requirements.txt ===
wrapt>=1.7.0 # BSD License

=== debian/changelog ===
python-debtcollector (3.0.0-5) unstable; urgency=medium

  * Switch to debhelper-compat=11.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:13:02 +0100

python-debtcollector (3.0.0-4) unstable; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:37:24 +0100

python-debtcollector (3.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090485).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:16:53 +0100

python-debtcollector (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:58:15 +0200

python-debtcollector (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans the egg-info folder on clean.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2024 11:52:02 +0100

python-debtcollector (2.5.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046108).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,11 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -25,5 +26,5 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-debtcollector-doc/usr/share/doc/python-debtcollector-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif

=== debian/tests/control ===
Restrictions: superficial
Depends:
 python3-debtcollector,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import debtcollector; print(debtcollector.__version__)"

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/debtcollector refs/tags/(\d[brc\d\.]+)
